# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::RGBColor Class Reference

The `RGBColor` interface is used to represent any RGB color value. More...

`#include <css_value.h>`

List of all members.

## Public Member Functions

| RGBColor (const QColor &c)
| RGBColor (QRgb color)
| RGBColor (const RGBColor &other)
RGBColor & | operator= (const RGBColor &other)
CSSPrimitiveValue | red () const
CSSPrimitiveValue | green () const
CSSPrimitiveValue | blue () const
QRgb | color () const

## Protected Attributes

QRgb | m_color

## Detailed Description

The `RGBColor` interface is used to represent any RGB color value.

This interface reflects the values in the underlying style property. Hence, modifications made through this interface modify the style property.

Definition at line 590 of file css_value.h.

## Constructor & Destructor Documentation

DOM::RGBColor::RGBColor | ( | const QColor & | c | ) | `[inline]`

Deprecated:

Definition at line 597 of file css_value.h.

## Member Function Documentation

CSSPrimitiveValue DOM::RGBColor::red | ( |  | ) | const

| This attribute is used for the red value of the RGB color. Definition at line 501 of file css_value.cpp.

CSSPrimitiveValue DOM::RGBColor::green | ( |  | ) | const

| This attribute is used for the green value of the RGB color. Definition at line 506 of file css_value.cpp.

CSSPrimitiveValue DOM::RGBColor::blue | ( |  | ) | const

| This attribute is used for the blue value of the RGB color. Definition at line 511 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:39 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003